# Function bitflags::__core::fmt::format [−] [src]

    pub fn format(args: Arguments) -> String

1.0.0

The format function takes a precompiled format string and a list of arguments, to return the resulting formatted string.

# Arguments

- args - a structure of arguments generated via the `format_args!` macro.

# Examples

    use std::fmt;

    let s = fmt::format(format_args!("Hello, {}!", "world"));
    assert_eq!(s, "Hello, world!".to_string());

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)